#!/bin/bash
#
# Copyright (C) 2017 ~ 2020 Uniontech Technology Co., Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Circularly mount the disk partition which less than 100m

mkdir -p /author
echo "zl: create /author directory"

echo "zl: $(lsblk)"

for dev in $(lsblk -lb -o name,rm,size -x size | grep -e ^sd[a-z][1-9][^0-9]*0 | awk '$3>((100*1024^2)){print $1}')
do
    echo "mout -v /dev/$dev /author"
    echo "`mount -v /dev/$dev /author`"
    echo "zl: mount $dev"
    echo "zl: $(ls /author)"
    if [ -d /author/data/var/uos ] 
    then
        if [ -f /author/data/var/uos/.license.key ]
        then
            echo "zl: copy of authorization file successfully"
            cp -arv /author/data/var/uos /tmp
            umount /author
            rm -rfv /author
            exit 0
        fi
	elif [ -d /author/var/uos ]
    then
        if [ -f /author/var/uos/.license.key ]
        then
            echo "zl: copy of authorization file successfully"
            cp -arv /author/var/uos /tmp
            umount /author
            rm -rfv /author
            exit 0
        fi
    else
	    echo "zl: not found /var/uos"
    fi
        umount /author
        echo "zl: unmount $dev"
done

rm -rfv /author
echo "zl: remove /author"

exit 0
